Bug 2006793 - build config's created prior to 4.8 with image change triggers can result in trigger storm in OCM/openshift-apiserver
Summary: build config's created prior to 4.8 with image change triggers can result in ...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: OpenShift Container Platform
Classification: Red Hat
Component: Build
Version: 4.8
Hardware: Unspecified
OS: Unspecified
high
high
Target Milestone: ---
: 4.8.z
Assignee: Gabe Montero
QA Contact: Jitendar Singh
Rolfe Dlugy-Hegwer
URL:
Whiteboard:
Depends On: 2006791
Blocks:
TreeView+ depends on / blocked
 
Reported: 2021-09-22 12:49 UTC by Gabe Montero
Modified: 2022-02-16 18:10 UTC (History)
6 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
* With the deprecation of the `lastTriggeredImageID` field for build configs, the image change trigger controller stopped checking the ID field prior to initiating builds. Consequently, if a build config was created and had an image change trigger start while the cluster was running OpenShift Container Platform 4.7 or earlier, it continuously tried to trigger builds. With this update, these unnecessary attempts to trigger builds no longer occur. (link:https://bugzilla.redhat.com/show_bug.cgi?id=2006793[*BZ#2006793*])
Clone Of: 2006791
Environment:
Last Closed: 2021-11-02 14:42:06 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Github openshift openshift-controller-manager pull 206 0 None open [release-4.8] [release-4.9] Bug 2006793: BC ICT still must check spec last triggered image ID in case BC was last proces... 2021-10-21 15:23:37 UTC
Red Hat Product Errata RHBA-2021:4020 0 None None None 2021-11-02 14:42:13 UTC

Comment 9 errata-xmlrpc 2021-11-02 14:42:06 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory (OpenShift Container Platform 4.8.18 bug fix update), and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHBA-2021:4020


Note You need to log in before you can comment on or make changes to this bug.